
IF OBJECT_ID (N'ABC_AACCES', N'U') IS NOT NULL
DROP TABLE ABC_AACCES
IF OBJECT_ID (N'ABC_TRX', N'U') IS NOT NULL
DROP TABLE ABC_TRX
IF OBJECT_ID (N'ABC_COMPTE', N'U') IS NOT NULL
DROP TABLE ABC_COMPTE
IF OBJECT_ID (N'ABC_CONTRAT', N'U') IS NOT NULL
DROP TABLE ABC_CONTRAT
IF OBJECT_ID (N'ABC_EMPRUNT', N'U') IS NOT NULL
DROP TABLE ABC_EMPRUNT
IF OBJECT_ID (N'ABC_CLIENT', N'U') IS NOT NULL
DROP TABLE ABC_CLIENT
IF OBJECT_ID (N'ABC_EMPLOYE', N'U') IS NOT NULL
DROP TABLE ABC_EMPLOYE
IF OBJECT_ID (N'ABC_SUCC', N'U') IS NOT NULL
DROP TABLE ABC_SUCC/**/
/***********************************************************
	NONCS CREATE
***********************************************************/
CREATE TABLE ABC_CLIENT
(
    NOCLI                           char(5)                          NOT NULL,
    NOM		                    varchar(25)                      NULL,
    RUE                             varchar(25)                      NULL,
    VILLE                           varchar(25)                      NULL,
    TELCLI                          char(10)                         NULL
)


ALTER TABLE ABC_CLIENT
  ADD CONSTRAINT ABC_PKCLI
    PRIMARY KEY (NOCLI)


/***********************************************************
	Table "COMPTE"
***********************************************************/

CREATE TABLE ABC_COMPTE
(
    NOCMPT                          char(7)                          NOT NULL,
    SOLDE                           decimal(15,2)                    NULL,
    ACCES                           datetime                         NULL,
    TYPE                            varchar(15)                      NOT NULL,
    TAUX                            DECIMAL(3,2)                     NOT NULL,
    DECOUVERT                       decimal(15,2)                    NULL,
    NOSUCC                          char(3)                          NOT NULL
)


ALTER TABLE ABC_COMPTE
  ADD CONSTRAINT ABC_PKCMPT
    PRIMARY KEY (NOCMPT)


/***********************************************************
	Table "EMPLOYE"
***********************************************************/

CREATE TABLE ABC_EMPLOYE
(
    NOEMPL                          char(9)                          NOT NULL,
    NOM                             varchar(25)                      NULL,
    ADRESSE                         varchar(30)                      NULL,
    TEL                             char(10)                         NULL,
    POSTE                           varchar(30)                      NULL,
    NOSUCC                          char(3)                          NOT NULL
)


ALTER TABLE ABC_EMPLOYE
  ADD CONSTRAINT ABC_PKEMPL
    PRIMARY KEY (NOEMPL)


/***********************************************************
	Table "EMPRUNT"
***********************************************************/

CREATE TABLE ABC_EMPRUNT
(
    NOEMPT                          char(6)                          NOT NULL,
    MONTANT                         decimal(15,2)                    NULL,
    DATEMPT                         date                         NULL,
    ECHEANCE                        date                         NULL,
    MODALITE                        varchar(20)                      NULL,
    PAIEMENT                        decimal(6,2)                     NULL,
    DATDERPAI                       date                         NULL,
    SOLDEDU                         decimal(15,2)                    NULL,
    NOSUCC                          char(3)                          NOT NULL
)


ALTER TABLE ABC_EMPRUNT
  ADD CONSTRAINT ABC_PKEMPT
    PRIMARY KEY (NOEMPT)


/***********************************************************
	Table "SUCC"
***********************************************************/

CREATE TABLE ABC_SUCC
(
    NOSUCC                          char(3)                          NOT NULL,
    NOM                             varchar(25)                      NULL,
    VILLE                           varchar(25)                      NULL,
    CAPITAL                         decimal(20,2)                    NULL,
    TEL                             char(10)                         NULL,
    FAX                             char(10)                         NULL
)


ALTER TABLE ABC_SUCC
  ADD CONSTRAINT ABC_PKSUC
    PRIMARY KEY (NOSUCC)


/***********************************************************
	Table "TRX"
***********************************************************/

CREATE TABLE ABC_TRX
(
    NOTRX                           int identity(1,1)                NOT NULL,
    DATETRX                         date                        NULL,
    MONTANT                         decimal(15,2)                    NULL,
    DESCTRX	                     varchar(25)                      NULL,
    TYPE			    char(2)			     NOT NULL,
    NOCLI                           char(5)                          NOT NULL,
    NOCMPT                          char(7)                          NOT NULL,
    NOEMPL                          char(9)                          NOT NULL
)


ALTER TABLE ABC_TRX
  ADD CONSTRAINT ABC_PKTRX
    PRIMARY KEY (NOTRX)

/***********************************************************
	Table "CONTRAT"
***********************************************************/

CREATE TABLE ABC_CONTRAT
(
    NOEMP                           char(9)                          NOT NULL,
    NOEMPT                          char(6)                          NOT NULL,
    NOCLI                           char(5)                          NOT NULL
)


ALTER TABLE ABC_CONTRAT
  ADD CONSTRAINT ABC_PKCNT
    PRIMARY KEY (NOCLI, NOEMPT)


/***********************************************************
	Table "ABC_AACCES"
***********************************************************/

CREATE TABLE ABC_AACCES
(
    NOCLI                           char(5)                          NOT NULL,
    NOCMPT			    char(7)			     NOT NULL,
    Type			    VARCHAR(25)			     NOT NULL
)


ALTER TABLE ABC_AACCES
  ADD CONSTRAINT ABC_PKNCLINCMPT
    PRIMARY KEY (NOCLI, NOCMPT)



/***********************************************************
	Les cls trangres de la table "COMPTE"
***********************************************************/

ALTER TABLE ABC_COMPTE
  ADD CONSTRAINT ABC_FKCMPTSUC
    FOREIGN KEY (NOSUCC)
    REFERENCES ABC_SUCC (NOSUCC)


/***********************************************************
	Les cls trangres de la table "EMPLOYE"
***********************************************************/

ALTER TABLE ABC_EMPLOYE
  ADD CONSTRAINT ABC_FKEMPLSUC
    FOREIGN KEY (NOSUCC)
    REFERENCES ABC_SUCC (NOSUCC)


/***********************************************************
	Les cls trangres de la table "EMPRUNT"
***********************************************************/

ALTER TABLE ABC_EMPRUNT
  ADD CONSTRAINT ABC_FKEMPTSUC
    FOREIGN KEY (NOSUCC)
    REFERENCES ABC_SUCC (NOSUCC)


/***********************************************************
	Les cls trangres de la table "TRX"
***********************************************************/

ALTER TABLE ABC_TRX
  ADD CONSTRAINT ABC_FKTRXCLI
    FOREIGN KEY (NOCLI)
    REFERENCES ABC_CLIENT (NOCLI)


ALTER TABLE ABC_TRX
  ADD CONSTRAINT ABC_FKTRXCMPT
    FOREIGN KEY (NOCMPT)
    REFERENCES ABC_COMPTE (NOCMPT)


ALTER TABLE ABC_TRX
  ADD CONSTRAINT ABC_FKTRXEMPL
    FOREIGN KEY (NOEMPL)
    REFERENCES ABC_EMPLOYE (NOEMPL)



/***********************************************************
	Les cls trangres de la table "CONTRAT"
***********************************************************/

ALTER TABLE ABC_CONTRAT
  ADD CONSTRAINT ABC_FKCNTEMPL
    FOREIGN KEY (NOEMP)
    REFERENCES ABC_EMPLOYE (NOEMPL)


ALTER TABLE ABC_CONTRAT
  ADD CONSTRAINT ABC_FKCNTEMPT
    FOREIGN KEY (NOEMPT)
    REFERENCES ABC_EMPRUNT (NOEMPT)


ALTER TABLE ABC_CONTRAT
  ADD CONSTRAINT ABC_FKCNTCLI
    FOREIGN KEY (NOCLI)
    REFERENCES ABC_CLIENT (NOCLI)


/***********************************************************
	Les cls trangres de la table "ABC_AACCES"
***********************************************************/


ALTER TABLE ABC_AACCES
  ADD CONSTRAINT ABC_FKAACCLI
    FOREIGN KEY (NOCLI)
    REFERENCES ABC_CLIENT (NOCLI)


ALTER TABLE ABC_AACCES
  ADD CONSTRAINT ABC_FKAACCMPT
    FOREIGN KEY (NOCMPT)
    REFERENCES ABC_COMPTE (NOCMPT)





